You are here

PortableApps.com Updater 1.0 Beta 2 (OUTDATED!!!)

159 posts / 0 new
Last post
MarkoMLM
MarkoMLM's picture
Offline
Last seen: 5 years 6 months ago
DeveloperModeratorTranslator
Joined: 2006-01-16 04:08
PortableApps.com Updater 1.0 Beta 2 (OUTDATED!!!)

This version is outdated! The new version with fixes for the open issues will be part of the next release of the PortableApps.com Platform. Please stay tuned for the new Platform release
Application: PortableApps.com® Updater
Category: Utilities
Description: Keeps your portable apps up to date

Download PortableApps.com® Updater 1.0 Beta 2 [417kB download / 640kB installed]
(MD5: 9962d2b81f254bae6f74c8aa1902575d)

Features
PortableApps Updater is an update tool with features like:

  • automatic update of all hosted Apps
  • multi-language support (offers the right localized package/informations depending of the selected language)
  • built in md5sum check for the offered packages
  • Support of all packages in paf format (Installer and 7-Zip packages)
  • Configuration with ini (over config page), support for profiles
  • built in support for randomized mirror servers
  • built in support for http and ftp sources (ftp over wget)
  • built in support for the Sorceforge and OOoDev mirror network
  • proxy support (Windows Proxy by default, advanced settings and proxy authentification over wget)
  • personal blacklist (block update offers for unwanted Apps)
  • recommend packages / make packages mandantory
  • support for local or private web based (other servers than PortableApps.com) Application management
  • self update support for the updater

If You need special or advanced settings please start the
updater with parameter /SHOWOP

For other than default IE proxy settings the updater is able to use GNU Wget (not included) as a binary version if the path to it is set in the settings.ini.

Release Notes:


Version 1.0 Beta 2 (2008-11-19):
This version will fix the following issues:

  • new database (easier for update) THX to Ryan
  • wget removed from package (supports wget binaries over path eg. WinWgetPortable one)
  • new dynamic custom components page (sortable, resizable colums with icons and dynamic descriptions)
  • You are able now to pre select Your favorit SF mirror in the format:
    [mirror root]/[project root]eg.:
    http://dfn.dl.sourceforge.net/sourceforge/portableapps/
    Keep in mind that SF mirroring will be disabled in this case until You'll delete Your fav. mirror entry!


Version 1.0 Beta 1 (2008-0-04):
(db now hosted on portableapps.com thanks to John)
This version will fix the following issues:

  • New icon, thanks a lot to NeoRame!!!
  • Kill downloads without canceling the installer by closing the download window
  • Support for different profiles (over ini see default settings.ini for details)
  • support for up to 100 apps now
  • no mirror randomize for sf hosted apps, sf randomizing now


Version 1.0 Alpha9 (2008-05-04):
(not Beta1, until the last issues fixed...)
This version will fix the following issues:

  • Version check fix
  • new icon (thanks again to Zé Pedro)
  • Configuration page over /SHOWOP parameter only


Version 1.0 Alpha8 (2008-04-28):
(not Beta1, cause there was no new statement of John...)
This version will fix the following issues:

  • GUI (with multi-lang support) to change all settings (including target path and
    proxy settings)
  • no run checkbox in the installer (really Smiling )
  • better version check (only packages with higher version number than local)
  • Proxy authentification support
  • only packages for installed Apps as default
  • license page and directory page removed
  • new icon (thanks again to Zé Pedro)
  • support for paths with blanks
  • smarter database structure closer to appinfo.ini
  • show version description instead version number)


Version 1.0 ALPHA7 (2008-04-10):
This version will fix the following issues:

  • calculating size of selected packages
  • prev and next button components page fixed (prev shows Welcome page, next checks if a App is selected)
  • better size/style for components page
  • Proxy authentification support
  • use dynamic download banner instead fixed splash


Version 1.0 ALPHA6 (2008-04-07):
(ALPHA5 inclomplete upload)
This version will fix the following issues:

  • Standard installer
  • Change self update function
  • enable restart for interupted download (wget )


Version 1.0 ALPHA4 (2008-04-04):
This version will fix the following issues:

  • app.ini fix
  • show local version information


Version 1.0 ALPHA3 (2008-04-03):
This version will fix the following issues:

  • License- Welcomepage (show only once)
  • updater.ini format closer to app.ini
  • better function for component page preparation
  • new icons (thanks to ptmb)
  • self update support for the updater
  • Defaults changed (packagedir set to $TEMP, pdel=true)
  • Fix Path to license.txt



Version 1.0 ALPHA2 (2008-03-12):

  • Fix width of component page (thanks to John Smile )
  • Defaults changed (packagedir set to $TEMP, pdel=true)
  • Fix Path to license.txt



Version 1.0 ALPHA1 (2008-03-12):

  • initial relase (it is stable but ALPHA for several reasons)

Version 1.0 1.0 ALPHA1 (2008-03-12): Initial release

Many thanks to Simeon for first tests, feedback and all the answers releated to questions and requests for this tool in the forums :-). Thanks to John (and all the contributors) for the installer and to the translators for the needed strings.

You'll find the older entries here:
https://portableapps.com/node/14735
https://portableapps.com/node/12722
https://portableapps.com/node/12584
https://portableapps.com/node/12040

OliverK
OliverK's picture
Offline
Last seen: 1 year 1 month ago
Developer
Joined: 2007-03-27 15:21
downloading and testing :D

downloading and testing Biggrin

Too many lonely hearts in the real world
Too many bridges you can burn
Too many tables you can't turn
Don't wanna live my life in the real world

wk
wk's picture
Offline
Last seen: 8 months 2 weeks ago
Joined: 2007-09-05 12:31
autoupdate to beta 2 works

I´ll play around with the settings and come back...
using winwgetportable works..
no bugs so far Smile

"Lorem ipsum dolor sit amet, consectetur adipisici elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis .." Friday Next -
"May The Schwartz be with You!" Yogurt the Yoda

Mickeyj4j
Mickeyj4j's picture
Offline
Last seen: 7 years 5 months ago
Joined: 2008-05-30 07:53
I think that.

I think that as this is a handy works fine overall. Y it is not moved up the ranks and made into a full app. there is enough testing now. I liked it when i got it. it was handy to get my apps up to date. i have found that there are not many new releasescomming out that mnuch or it has simply stoped working.

An Old Irish Blessing
May the road rise up to meet you. May the wind always be at your back. May the sun shine warm upon your face, and rains fall soft upon your fields. And until we meet again, May God hold you in the palm of His hand.

MickeyJ4J

EspaÑaks
EspaÑaks's picture
Offline
Last seen: 9 years 5 months ago
Joined: 2008-08-21 05:17
works OK but tryed three

works OK but tried three times to it to update my sumatraPDF& always it says that it cant be downloaded & then the MD5 failed error
AFTER 1 DAY EDIT:Downloaded it fine (just ran ccleaner) Anyway, I love to be able to download the apps i don't have, but i wish the window to be larger...

Eiñ??? A siñature????

OliverK
OliverK's picture
Offline
Last seen: 1 year 1 month ago
Developer
Joined: 2007-03-27 15:21
Drat! Doesn't recognize the

Drat! Doesn't recognize the versions of my apps. I'm using the old configuration file.

Too many lonely hearts in the real world
Too many bridges you can burn
Too many tables you can't turn
Don't wanna live my life in the real world

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 5 years 6 months ago
DeveloperModeratorTranslator
Joined: 2006-01-16 04:08
settings.ini? please rename it and try it again ...

... or send me the configuration file to markomlm[at]openoffice.org

Paid for Software more or less?
What You need is OSS!

OliverK
OliverK's picture
Offline
Last seen: 1 year 1 month ago
Developer
Joined: 2007-03-27 15:21
I deleted it, but the updater

I deleted it, but the updater only worked after I completely deleted the Data folder.
It will take a long time to start (I have a lot of apps)

Too many lonely hearts in the real world
Too many bridges you can burn
Too many tables you can't turn
Don't wanna live my life in the real world

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 5 years 6 months ago
DeveloperModeratorTranslator
Joined: 2006-01-16 04:08
OK ...

so far so good.
Thank You for testing and feedback.

The step from Beta1 to Beta2 was greater as only a count up of the version number. There are some important changes (also on the database) in order to get prepared for the next step - a more synaptic like, repository based tool.

Paid for Software more or less?
What You need is OSS!

App Guy
Offline
Last seen: 7 years 6 months ago
Joined: 2008-03-16 14:24
Is install...

...silent? I have tried to install task coach portable but it goes to fast. Is it something with the settings?

Edit: Never Mind I restarted the updater (clean install) and it worked. Don't know what was wrong.

Edit2: Worked through downloading but md5sum did not check out. Don't know what happened?

May the Shwartz be with you

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 5 years 6 months ago
DeveloperModeratorTranslator
Joined: 2006-01-16 04:08
md5sum is checked every time ...

... and will be only show a hint if it fails.
Because of incompartible database structure between Beta 1 and Beta 2 it is better to make a clean install or to rename the settings.ini.

Paid for Software more or less?
What You need is OSS!

Tekzel
Offline
Last seen: 12 years 3 months ago
Joined: 2007-04-27 15:13
Problems

I haven't used this app in a while, as it constantly told me 90% of the apps it downloads updates for were corrupted and refused to update them. So, on a whim I downloaded this version 1.0 Beta 2, and am still getting about the same amount of "corrupted downloads" issue. Is this something specific to me or are others getting this as well?

richardgatinho
Offline
Last seen: 12 years 5 months ago
Joined: 2008-10-15 15:21
Won't work...

For me, it just sleeps and says that the download was aborted.
Also, I've set wget_path but it still uses inetc.

richardgatinho
Offline
Last seen: 12 years 5 months ago
Joined: 2008-10-15 15:21
Fixed

I was using a stray SF mirror syntax.

With this comes a suggestion: add SF mirror URL syntax check to the updater.

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 5 years 6 months ago
DeveloperModeratorTranslator
Joined: 2006-01-16 04:08
THX for the feedback ..

... good to know the reason for this problem.

Paid for Software more or less?
What You need is OSS!

richardgatinho
Offline
Last seen: 12 years 5 months ago
Joined: 2008-10-15 15:21
I forgot to mention
MarkoMLM
MarkoMLM's picture
Offline
Last seen: 5 years 6 months ago
DeveloperModeratorTranslator
Joined: 2006-01-16 04:08
How did You set the path?

Please post the path to wget and the entry You've set.
Inetc will only be used if the path is invalid.

Paid for Software more or less?
What You need is OSS!

richardgatinho
Offline
Last seen: 12 years 5 months ago
Joined: 2008-10-15 15:21
G:\PortableApps\PortableAppsU

G:\PortableApps\PortableAppsUpdater\wget.exe

Also, my copy is outdated -- you recommend 1.11 but I have 1.5.

G:\PortableApps\PortableAppsUpdater>wget --version
GNU Wget 1.5.3.1

Copyright (C) 1995, 1996, 1997, 1998 Free Software Foundation, Inc.
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

Written by Hrvoje Niksic .

G:\PortableApps\PortableAppsUpdater>
MarkoMLM
MarkoMLM's picture
Offline
Last seen: 5 years 6 months ago
DeveloperModeratorTranslator
Joined: 2006-01-16 04:08
In this case the path has to set to ...

...
wget_path=PortableAppsUpdater\wget.exe
(relativ to the PortableApps root directory)

But the esiest (and aproved) way is using WinWgetPortable:
https://portableapps.com/apps/internet/winwget_portable
and the entry of the sample settings.ini

Paid for Software more or less?
What You need is OSS!

richardgatinho
Offline
Last seen: 12 years 5 months ago
Joined: 2008-10-15 15:21
Another suggestion

As I use a combination of USB 1.1 port and slow connection, I have a suggestion: the ability of continuing the downloads while the previous installer is running. Example:

- User started the process.
- Download of App A started.
- Download of App A finished.
- Start App A installer while starting the download of App B.
- App A install finished.
- App B download finished.
- And go on.

daklaus
daklaus's picture
Offline
Last seen: 11 years 3 months ago
Joined: 2008-11-24 08:57
unreliable connection

I had to try more than three times per application to get the update. It always failed setting up a connection to download the packages although my internet connection is 1A.
What do you think is the matter?
Is there a more reliable SF mirror I could enter?

please excuse mistakes in the text, my native language is german...

------------------------------------------------------
Installer Suxxxxx! Portable the World!

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 5 years 6 months ago
DeveloperModeratorTranslator
Joined: 2006-01-16 04:08
some questions ...

*are You behind a proxy? (some proxies will not work with the built in inetc an You'll have to use wget instead)
*if it isn't a proxy problem please try
[update]
defSFmirror=http://dfn.dl.sourceforge.net/portableapps
in Your settings.ini

Paid for Software more or less?
What You need is OSS!

daklaus
daklaus's picture
Offline
Last seen: 11 years 3 months ago
Joined: 2008-11-24 08:57
Thanks!

Yes I am behind a proxy, but this doesn't matter, your mirror page solved the problem.
Thanx!

------------------------------------------------------
Installer Suxxxxx! Portable the World!

muskrat
muskrat's picture
Offline
Last seen: 2 weeks 4 days ago
Joined: 2005-12-09 08:24
Tested, works, one minor issue

Hey, great work on this! Anywho, works great on a Windows 2000 SP4 machine (admin access) at work.

One minor issue though,,,
I keep getting the following message when attempting to get Thunderbird Portable 2.0.0.18 Rev 2: (extra space intentional to prevent auto url)
The MD5 checksums of http:// Thunderbird_Portable_2.0.0.18_Rev_2_en-us.paf.exe do not match. Your download may have been corrupted. Package (path\exe_name) deleted.

Options used:
1) Download to (path): f:\downloads\quarantine\unscanned\pa apps\ Thunderbird_Portable_2.0.0.18_Rev_2_en-us.paf.exe
2) Do not delete after install.

Thanks again. I do wish there was a way to activate the /showop command from the gui but,,,

/s/ When life turns your dreams to dust, vacuum Wink

Zach Thibeau
Zach Thibeau's picture
Offline
Last seen: 7 years 6 months ago
DeveloperModerator
Joined: 2006-05-26 12:08
it's also the same with

it's also the same with VirtualDub Portable

your friendly neighbourhood moderator Zach Thibeau

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 5 years 6 months ago
DeveloperModeratorTranslator
Joined: 2006-01-16 04:08
m5sums are correct on the webside and in the database ...

... could be a mirror problem.

Paid for Software more or less?
What You need is OSS!

KMK
Offline
Last seen: 11 years 1 month ago
Joined: 2006-11-23 03:31
I still have this same

I still have this same problem. What do you suggest I do, to get in sync with the mirrors?

VJ
Offline
Last seen: 10 years 6 months ago
Joined: 2008-05-01 07:02
Stellarium is causing problems

Looking great but Portable apps updater thinks there is a new version of Stellarium, but keeps failing to download it. I think that this is because the config.ini in Stellarium lists it as version 0.9.1 whilst it's listed as version 0.10 on the site. I've also put a comment to this effect in the Stellarium thread.

John T. Haller
John T. Haller's picture
Online
Last seen: 2 min 39 sec ago
AdminDeveloperModerator
Joined: 2005-11-28 22:21
Not Updater Related

This is not an updater bug or issue. It's a bug in the current Stellarium release.

Sometimes, the impossible can become possible, if you're awesome!

VJ
Offline
Last seen: 10 years 6 months ago
Joined: 2008-05-01 07:02
I thought it was, but I

I thought it was, but I thought I better post it here as well so that you guys could make sure. Keep up the great work.

KMK
Offline
Last seen: 11 years 1 month ago
Joined: 2006-11-23 03:31
Can't update Thunderbird Portable - Error in db?

I have not been able to update Thunderbird Portable using the updater. It just keeps telling me the checksum is not correct and aborts the process.
When I look in the file applications.ini (which is temporarily available during the lifecycle of the update), the DownloadURL seem to have a erronous notation:

> DownloadURL=http://Thunderbird_Portable_2.0.0.18_Rev_2_en-us.paf.exe

Could the 'http://' prefix be the reason for the error? And if so, could it be updated, please? Smile

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 5 years 6 months ago
DeveloperModeratorTranslator
Joined: 2006-01-16 04:08
Fixed ...

... thx for the hint!

Paid for Software more or less?
What You need is OSS!

KMK
Offline
Last seen: 11 years 1 month ago
Joined: 2006-11-23 03:31
Firefox and OpenOffice updates...

I have both Firefox Portable and OpenOffice Portable installed on my USB, but the new updated releases do not show up in the list of application possible to update. Is this because the database does not include then, has not been updated yet, or is it a bug?

EspaÑaks
EspaÑaks's picture
Offline
Last seen: 9 years 5 months ago
Joined: 2008-08-21 05:17
2me2 8·(

2me2 8·(

Eiñ??? A siñature????

Simeon
Simeon's picture
Offline
Last seen: 6 years 7 months ago
DeveloperTranslator
Joined: 2006-09-25 15:15
the database

is just not updated yet.

"What about Love?" - "Overrated. Biochemically no different than eating large quantities of chocolate." - Al Pacino in The Devils Advocate

argentcorvid
Offline
Last seen: 12 years 5 months ago
Joined: 2008-12-18 14:46
Trojan warning when running with McAfee

When attempting to run this program McAfee gives me the following trojan warning:

McAfee has automatically blocked and removed a Trojan.

About this Trojan
Detected: Ransom-E (Trojan), Ransom-E (Trojan)
Location: C:\Users\<username>\AppData\Local\Temp\nswE202.tmp\inetc.dll

Trojans appear as legitimate programs but can damage valuable files, disrupt performance, and allow unauthorized access to your computer.

the folder name 'nswE202.tmp' is different each time I attempt to run the program.
Also the updater complains about 'applications.ini' not being found.

sawjew
Offline
Last seen: 2 years 2 months ago
Joined: 2006-01-28 07:19
Ditto

I have exactly the same problem here. I checked with ClamWin just to make sure and came up with nothing so i am pretty sure it is a false positive.

gmbudwrench
gmbudwrench's picture
Offline
Last seen: 3 days 13 hours ago
Joined: 2007-06-25 05:00
It

it might be a false positive. The usual response is check the files with an online scanner like http://virusscan.jotti.org/ or http://www.virustotal.com/ But, check here first, (bottom of the page). This will give you more info.

https://portableapps.com/support

tgrantt
tgrantt's picture
Offline
Last seen: 3 months 1 week ago
Joined: 2007-02-26 12:43
Oo

Thanks for fixing the checksum issue with Thunderbird. I'm getting one now with OpenOffice 3.0. (and I got to use "uh-oh" as my subject!) Other than that, I love the updater! Keep up the great work.

I am not my signature.

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 5 years 6 months ago
DeveloperModeratorTranslator
Joined: 2006-01-16 04:08
I'll check the database again.

... on monday.

Paid for Software more or less?
What You need is OSS!

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 5 years 6 months ago
DeveloperModeratorTranslator
Joined: 2006-01-16 04:08
HM??

The md5sums of OpenOffice.org Portable 3.0 are ok.
Could You tell something more about Your problem?

Paid for Software more or less?
What You need is OSS!

Zach Thibeau
Zach Thibeau's picture
Offline
Last seen: 7 years 6 months ago
DeveloperModerator
Joined: 2006-05-26 12:08
it's probably a mirror issue

it's probably a mirror issue like what I had that you helped me with.

your friendly neighbourhood moderator Zach Thibeau

tgrantt
tgrantt's picture
Offline
Last seen: 3 months 1 week ago
Joined: 2007-02-26 12:43
It works. I don't know what

It works. I don't know what happened, either to cause or solve the issue. (But it was REAL, honest!) Sorry to put you on a false trail. Please keep up the great work, I love what you and the others here (especially John) do for us less talented.

Have a Merry Christmas, or Happy Holiday, or Feliz Festivus.

I am not my signature.

Darth GTB
Darth GTB's picture
Offline
Last seen: 10 years 1 month ago
Joined: 2008-05-02 11:46
problems with the update of WinSCP

in the updater says i have the 4.1.7 version of winscp and in the server, 4.1.9. but i could not download it and received a error message. now i go to the site to download manually and in the site, the version is 4.1.8!

so... i think the database have a wrong data and the error could be because the program with that version does not exist...

other problem:

some times PNotes portable says that exists a new version but in the updater not...

i think the new version is the original version and not the PA version right?

thanks

Carpe Noctem

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 5 years 6 months ago
DeveloperModeratorTranslator
Joined: 2006-01-16 04:08
Fixed ...

... thx for the hint.
Yes Yor're right, could be that the internals update check finds some updtes for the non portable version. The portables come later than the local ones Wink

Merry Xmas and Happy New Year

Paid for Software more or less?
What You need is OSS!

sparker256
sparker256's picture
Offline
Last seen: 11 years 1 month ago
Joined: 2007-03-10 16:09
Can't update OpenOffice 3.0

Ererything else working fine but cannot update OpenOffice 3.0.

Thanks

reepicheep
Offline
Last seen: 8 years 10 months ago
Joined: 2008-04-29 11:32
Do you mean ...

My Mac copy of OOo3 has problems with updates too. Requests to "Check for Updates" fails frequently. Is this what you're experiencing?

sparker256
sparker256's picture
Offline
Last seen: 11 years 1 month ago
Joined: 2007-03-10 16:09
Think I have found the

Think I have found the problem but not sure how to fix it.

In the tempory applications.ini file that is created I found the following.

[OpenOfficePortable]
Name=OpenOffice.org Portable
Description=the complete office suite that's completely portable
URL=https://portableapps.com/OpenOfficePortable
PackageVersion=3.0.0.0
DisplayVersion=3.0.0
DownloadURL=OpenOffice_Portable_3.0_en-us.paf.exe
Hash=3f2c94b0413791504d176c0e1870e3b3
FileSize=87000

For that Hash I think the filename should be

OpenOffice.org_Portable_3.0_en-us.paf.exe

The file I have downloaded seperatly has that filename and hash.

Thanks

John T. Haller
John T. Haller's picture
Online
Last seen: 2 min 39 sec ago
AdminDeveloperModerator
Joined: 2005-11-28 22:21
Fixed

I've fixed this in the applications.ini.

Sometimes, the impossible can become possible, if you're awesome!

sparker256
sparker256's picture
Offline
Last seen: 11 years 1 month ago
Joined: 2007-03-10 16:09
Works fine now John thanks,

Works fine now John thanks,

I want to wish you and all on the site happy holidays.

Eris667
Offline
Last seen: 10 years 10 months ago
Joined: 2008-12-27 20:54
Updater Beta 2

Just noticed my Beta 1 updater was no longer working Sad
Installed Beta 2, and updated my apps no problem (with a few stragglers - Toucan)
When I tried to run the update again it asked me to update my PA to 0.90 (again) and then went to the select new apps page -.- Does this mean all of my apps are updated? (none of my apps are on the list)

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 5 years 6 months ago
DeveloperModeratorTranslator
Joined: 2006-01-16 04:08
This is only the internal version of the updater ...

... not the suite number.

The updater will only offer not installed or outdated apps.

Paid for Software more or less?
What You need is OSS!

Eris667
Offline
Last seen: 10 years 10 months ago
Joined: 2008-12-27 20:54
thx

Great News Biggrin

Maybe better prompt boxes next version ?
I love the updater(s) Keep up the awesome work !!

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 5 years 6 months ago
DeveloperModeratorTranslator
Joined: 2006-01-16 04:08
Maybe :-)

stay tuned Wink

Paid for Software more or less?
What You need is OSS!

silentcon
silentcon's picture
Offline
Last seen: 9 years 3 weeks ago
Joined: 2008-05-31 05:37
On the first part, the one

On the first part, the one with This wizard .......

It says click next to continue but the button is OK.

??

screenshot

questions:
Can you make it maximizeable or resizable so that i can browse the apps more convenient?

Which is better to look/read? 1100 b or 1.1mb

Why convertall portable, stellarium portable don't have a size?

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 5 years 6 months ago
DeveloperModeratorTranslator
Joined: 2006-01-16 04:08
some answers ...

I'll drop the welcome screen with the next release as default, cause it makes only sense if You'll use it as an installer. The button was renamed cause if You start the updater with /SHOWOP makes "Next" no sense.

The window is not resizable, If there will be a way in NSIS I'll try it, at the moment there is no way.

1.1 mb is better to read but if we will use it we have to transform it first for display, cause the needed space routine calculates with 1100 Wink

The apps has no size because of a bug in the database, fixed now.

Paid for Software more or less?
What You need is OSS!

Darth GTB
Darth GTB's picture
Offline
Last seen: 10 years 1 month ago
Joined: 2008-05-02 11:46
Open Office...

i installed the beta version of OO3 and i see there is a new full OO3 portable...

but in the updater it's not there... or it's really the same file?

Carpe Noctem

Simeon
Simeon's picture
Offline
Last seen: 6 years 7 months ago
DeveloperTranslator
Joined: 2006-09-25 15:15
I guess

its a mistake in the updater so it thinks you already have the final version installed. The updater isn't supposed to work with betas.

"What about Love?" - "Overrated. Biochemically no different than eating large quantities of chocolate." - Al Pacino in The Devils Advocate

frochet
Offline
Last seen: 4 years 9 months ago
Joined: 2009-01-07 09:40
Behind a proxy: some issues

I am using a proxy at work. Portableapps updater 1.0 beta2

When I laucnh Portableapps updater, a login screen connexion to the proxy appears, the same used when I launche IE.
Then the connexion to the database is OK, and I receive a list, with several software that can be updated (eg today: 7-zip, VLC, Gimp and OpenOffice).

But then the update failed.
I downloaded PortableWinWget, and setup the proxy settings
http://login:passwd@proxyserver:8080

Then, the download start.
It should be great not to have to use PortableWget, as it stores the proxy settings in clear !!!
Not even *********

Anybody can see the password. If installed on a USB key, it can be security issue.
If the connexion process can be done using the Windows proxy settings, it should be great the use a Wget program that could handle these settings as well.
Or maybe this software could ask the password anytime a download is required ?
Maybe the choice to use PortableWinWget is wrong ???

But it is a a great improvment over the previous beta, as I had to modifiy by hand a text file !

I continue the testings.

Say for example I use the updater to upgrade 1 sotware, or 2.
It work sometimes, sometimes not...
"Download aborted. Do you want to stop all tasks and close the updater."
5 minutes later, it works ...
Sometimes, the download failed after 60% of download ...

Is the problem related with Portable Winwget ?
Anytime I try to download a file.paf.exe using Firefox on Sourceforge, I get it 1st time. No problem ...
The mirror might be different each time, but I don't care.

It seems the Portable updater is not using sourceforge mirrors. But it is a good idea to use sourceforge as a base file server, and then it is up to Sourceforge to redirect to an available server.

Could it be possible to solve this server availability for the next (or final ?) release ?
For sure, you can not modify Portable Winwget, and no other software is available (And the the proxy issue may be postponed)

But having to launch the update 2 or 3 times before it works, it is very annoying.
Firefox handle that proxy very well, such as any linux distribution (centos, debian for example).
It only fails since Portable updater is using PortableWinWget.

Remark: I am behind a proxy at work, it may be the reason why I am having problems, and other users are happy.

And by the way, I totally removed previous versions of PortableApps, to ensure the problem is not related to conflict between configuration files.

Thank you anyway for the good work, I hope my comments will help to improve the product before the final version is launched !!!

Cheers,
Fred

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 5 years 6 months ago
DeveloperModeratorTranslator
Joined: 2006-01-16 04:08
THX for the feedback ..

... I'll try to give some answers:
The updater uses only sf mirrors for download. The problem with the timeouts causes the sf mirroring wich sometimes don't choose the best one Sad
You can set a default sf mirror in order to fix this.

Advanced proxy support is only supported over winwget, cause all the internal nsis stuff dont work witk all proxies.

Perhaps we could crypt the password in the settings.ini and send the clear password as parameter to wget... but thats not a high priority for the next release.

Paid for Software more or less?
What You need is OSS!

Darth GTB
Darth GTB's picture
Offline
Last seen: 10 years 1 month ago
Joined: 2008-05-02 11:46
Notepad++

Hi!

i have Notepad++ 5.1.1 and i see new release to 5.1.4 but the updater dont say nothing about...

Carpe Noctem

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 5 years 6 months ago
DeveloperModeratorTranslator
Joined: 2006-01-16 04:08
Thank You for the hint...

... database is up to date now.

Paid for Software more or less?
What You need is OSS!

richo
richo's picture
Offline
Last seen: 3 weeks 1 day ago
Joined: 2007-01-31 22:03
RE: applications.ini

The applications.ini file needs updating for all the version info and the filenames. Particularly:

Thunderbird
TaskCoach

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 5 years 6 months ago
DeveloperModeratorTranslator
Joined: 2006-01-16 04:08
What do You mean?

The ini is up to date.

Paid for Software more or less?
What You need is OSS!

richo
richo's picture
Offline
Last seen: 3 weeks 1 day ago
Joined: 2007-01-31 22:03
RE: applications.ini
[TaskCoachPortable]
...
DownloadURL=Task_Coach_Portable_0.70.3.paf.exe
...

[ThunderbirdPortable]
...
DownloadURL=Thunderbird_Portable_2.0.0.18_Rev_2_en-us.paf.exe
...

should be:

[TaskCoachPortable]
...
DownloadURL=Task_Coach_Portable_0.71.3.paf.exe
...

[ThunderbirdPortable]
...
DownloadURL=Thunderbird_Portable_2.0.0.19_Rev_2_en-us.paf.exe
...
MarkoMLM
MarkoMLM's picture
Offline
Last seen: 5 years 6 months ago
DeveloperModeratorTranslator
Joined: 2006-01-16 04:08
THX, fixed now ...

... must be blind, sorry!

Paid for Software more or less?
What You need is OSS!

richo
richo's picture
Offline
Last seen: 3 weeks 1 day ago
Joined: 2007-01-31 22:03
No worries

No problemo. its what we're here for.

BlackCat
Offline
Last seen: 12 years 3 months ago
Joined: 2008-09-05 14:14
Silent/unattended install

it's a pity update can't be done without interaction. It's an absolutely needed app when you have PA but it's a pain when you have a lot of updates to do.

could it be possible to (optionnaly) install app in a unattended/automatic manner after download ?
else, it would be advisable to group part without interaction (download and only display errors if there is or display them after all download) and the part with (apps install)

Great thanks
Best regards

John T. Haller
John T. Haller's picture
Online
Last seen: 2 min 39 sec ago
AdminDeveloperModerator
Joined: 2005-11-28 22:21
Coming

The ability to do unattended installs is coming in a later release of the PortableApps.com Installer. We need to add code for our custom drivespace checks and stuff that works without user interaction as they don't if it was set to unattended right now.

Sometimes, the impossible can become possible, if you're awesome!

BlackCat
Offline
Last seen: 12 years 3 months ago
Joined: 2008-09-05 14:14
cool :) thanks a lot John.

cool Smile
thanks a lot John.

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 5 years 6 months ago
DeveloperModeratorTranslator
Joined: 2006-01-16 04:08
There is an unsupported switch for this job...

... silent install - from the beginning.

But as John said before, this will be perform the default install for the packages without any optional component and no available space check.

Thats why this switch is unsupported at the moment.

Paid for Software more or less?
What You need is OSS!

John T. Haller
John T. Haller's picture
Online
Last seen: 2 min 39 sec ago
AdminDeveloperModerator
Joined: 2005-11-28 22:21
Disabled

It's actually been disabled in the current 0.10.5 launcher as well as the 0.11 multilingual test. It was a holdover from NSIS itself and only worked because I hadn't disabled it correctly originally.

Sometimes, the impossible can become possible, if you're awesome!

Darth GTB
Darth GTB's picture
Offline
Last seen: 10 years 1 month ago
Joined: 2008-05-02 11:46
personal blacklist (block update offers for unwanted Apps)

how?

i used the /showop to access the settings but didnt find the blacklist... only the option to show only installed apps...

Carpe Noctem

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 5 years 6 months ago
DeveloperModeratorTranslator
Joined: 2006-01-16 04:08
Thats why this is not supported over GUI ...

see sample settings.ini fo more information please.

Paid for Software more or less?
What You need is OSS!

arnie1066
Offline
Last seen: 12 years 3 months ago
Joined: 2008-04-14 16:02
Test Results

Beta 1 first:
LOTS of md5 errors, but it seemed to be intermittent, see Beta2.
Beta 1 could see it needed updating, but it was the only app and refused to update, asking me to select an app to update (i mention this in case it has not been resolved in Beta 2)

Beta 2:
Still the odd MD5 error, but not always the same file twice, meaning after several runs, it installed most apps, the remaining ones were downloaded using the dont delete" flag, and manually installed without errors.

Ascetic Only Items:
1- English "Please wait" message Text is inverted, it should read:
Please wait...
...a moment
The lines are currently the other way around. Smile

2- Once you have the current version, there does not seem to be an easy way to find out what version you have, (of the updater).
Maybe it should show this next to the updater icon on the Available Packages page, but on the left to break up the white space?

3- The sentence reading 'Attention!.... should really be starting a new line, currently there is no space between it and the previous sentence.

Thats all for me, sorry its been a while, but had usb stick issues Sad

Hu Rove
Offline
Last seen: 12 years 3 months ago
Joined: 2009-02-12 04:42
Grrr

Hello,
due to a bug, I removed the firefoxportable folder to get it re-downloaded, but the updater doesn't recognise it, so firefox is not in the list anymore. I although can't find an entry in one of the ini-files to mark it as "uninstalled". If I reinstall the updater, it doesn't recognise the installed portable software. So what shall i do?

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 5 years 6 months ago
DeveloperModeratorTranslator
Joined: 2006-01-16 04:08
Thats why You have set the option ...

... only installed Apps.
Start the updater with /SHOWOP and change this option, so You'll get FF updates again.

Paid for Software more or less?
What You need is OSS!

Hu Rove
Offline
Last seen: 12 years 3 months ago
Joined: 2009-02-12 04:42
It works, thank you very much

It works, thank you very much Smile

PaulRenaudin
Offline
Last seen: 12 years 2 months ago
Joined: 2008-10-03 09:41
It lets folders on the computer

The downloaded files let a folder in /document and setting/me/application data/temp
Maybe it would be better to download the files on the usb drive (in /portableapps/portableappsupdater/files/).

Please escuse my english, I'm french Biggrin

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 5 years 6 months ago
DeveloperModeratorTranslator
Joined: 2006-01-16 04:08
This is by design the default ...

... in order to save space on the thumb drive.

You can change it, start the updater with /SHOWOP an set the paket folder to a folder on the thumb drive.

Paid for Software more or less?
What You need is OSS!

PaulRenaudin
Offline
Last seen: 12 years 2 months ago
Joined: 2008-10-03 09:41
Thanks ! I'll try it ! Maybe

Thanks !
I'll try it !
Maybe it can be a great idea to add a button "Settings", instead of using /SHOWOP Wink

...and the beta 2 works wery well..when there's no bugs....

Emrys
Offline
Last seen: 12 years 1 month ago
Joined: 2007-07-23 11:45
interface

The box containing "Available packages for portableapps..." seems to be quite small. I would like to see it a little larger so that the columns can be widened and the full content of the columns: Name,Server,Local,Description,size would be able to be read without having to scroll left/right
Also, i had an MD5 error when trying to download BPBible today.

rafi
Offline
Last seen: 9 years 7 months ago
Joined: 2008-06-06 11:18
me to md5 error when try to

me to md5 error when try to dll OOo 3.0.1 german

Where the md5 check data are from?

A single death is a tragedy; a million deaths is a statistic.

KMK
Offline
Last seen: 11 years 1 month ago
Joined: 2006-11-23 03:31
the OOO 3.0.1 is encountering

the OOO 3.0.1 is encountering an md5 check error for me too. As does the updated Pidgin application.

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 5 years 6 months ago
DeveloperModeratorTranslator
Joined: 2006-01-16 04:08
Database up to date, Problems with the sf mirror system

Last time sf reduce the count of default mirrors for the geolocation mirroring.
The default mirror for europe is bad at the moment and causes errors at the moment.

Use
http://mesh.dl.sourceforge.net/sourceforge/portableapps
as default mirror (set it with /SHOWOP)

until the geomirroring works better again.

Paid for Software more or less?
What You need is OSS!

John T. Haller
John T. Haller's picture
Online
Last seen: 2 min 39 sec ago
AdminDeveloperModerator
Joined: 2005-11-28 22:21
Md5s

Did you update all apps? I was finally gonna have time today.

Sometimes, the impossible can become possible, if you're awesome!

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 5 years 6 months ago
DeveloperModeratorTranslator
Joined: 2006-01-16 04:08
All Apps are up to date ...

... but I'll be happy if You'll update the ups with the next releases Smile

Paid for Software more or less?
What You need is OSS!

John T. Haller
John T. Haller's picture
Online
Last seen: 2 min 39 sec ago
AdminDeveloperModerator
Joined: 2005-11-28 22:21
Ok

Sorry I didn't get to it the last few days Sad

Sometimes, the impossible can become possible, if you're awesome!

maphew
Offline
Last seen: 5 years 3 months ago
Joined: 2007-03-01 17:38
thanks for this. I was going

thanks for this. I was going nuts trying to figure out why the updates were failing. The wget console window was closing too quickly for me to see the error messages.

duckhead
Offline
Last seen: 11 years 9 months ago
Joined: 2009-02-26 22:23
retain installer checkbox not honored

I like to keep a copy of my portable app installers handy on my thumb drive. So, I set the option in Beta1 to not delete the paf.exe after it installs. The log shows that it's deleting the files after installation, even though the option not to delete it is still in the .ini file, and when I run with /SHOWOP the checkbox to "Delete after install" is unchecked.

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 5 years 6 months ago
DeveloperModeratorTranslator
Joined: 2006-01-16 04:08
Please set the option again with /SHOWOP

... cause the control entry has changed for Beta2 because of the GUI-Support.

Paid for Software more or less?
What You need is OSS!

Pages

Log in or register to post comments